> **Warning**
>
> ## THIS IS AN AUTOGENERATED FILE. DO NOT EDIT.
>
> ## Please edit the corresponding file in [/packages/mermaid/src/docs/config/setup/interfaces/mermaid.RunOptions.md](../../../../packages/mermaid/src/docs/config/setup/interfaces/mermaid.RunOptions.md).

# Interface: RunOptions

[mermaid](../modules/mermaid.md).RunOptions

## Properties

### nodes

• `Optional` **nodes**: `ArrayLike`<`HTMLElement`>

The nodes to render. If this is set, `querySelector` will be ignored.

#### Defined in

[packages/mermaid/src/mermaid.ts:45](https://github.com/mermaid-js/mermaid/blob/master/packages/mermaid/src/mermaid.ts#L45)

---

### postRenderCallback

• `Optional` **postRenderCallback**: (`id`: `string`) => `unknown`

A callback to call after each diagram is rendered.

#### Type declaration

▸ (`id`): `unknown`

##### Parameters

| Name | Type     |
| :--- | :------- |
| `id` | `string` |

##### Returns

`unknown`

#### Defined in

[packages/mermaid/src/mermaid.ts:49](https://github.com/mermaid-js/mermaid/blob/master/packages/mermaid/src/mermaid.ts#L49)

---

### querySelector

• `Optional` **querySelector**: `string`

The query selector to use when finding elements to render. Default: `".mermaid"`.

#### Defined in

[packages/mermaid/src/mermaid.ts:41](https://github.com/mermaid-js/mermaid/blob/master/packages/mermaid/src/mermaid.ts#L41)

---

### suppressErrors

• `Optional` **suppressErrors**: `boolean`

If `true`, errors will be logged to the console, but not thrown. Default: `false`

#### Defined in

[packages/mermaid/src/mermaid.ts:53](https://github.com/mermaid-js/mermaid/blob/master/packages/mermaid/src/mermaid.ts#L53)
